#include<iostream>
using namespace std;
int main(){
    int a, b, L, otg = 0;
    float y;
    cin >> a >> b >> L;
    for(int k = 1; k < L; k++){
        for(int x = 1; x <= k; x++){
            if(k - x * a < b * 1){
                break;
            }
            y = (k - x * a) / b;
            if(x * a + y * b == k){

            }else{
                otg++;
            }
        }
    }
    cout << otg;
    return 0;
}
